summaryrefslogtreecommitdiff
path: root/misc/authprogs/authprogs.SlackBuild
diff options
context:
space:
mode:
authorMenno Duursma <druiloor@zonnet.nl>2010-07-25 21:30:09 -0500
committerErik Hanson <erik@slackbuilds.org>2010-07-25 21:52:41 -0500
commit6cc4861046c239809f45acc10a070f150dac6618 (patch)
tree9b8f1eac3f80ed234582b97310029c84e6bc6a12 /misc/authprogs/authprogs.SlackBuild
parent415f77873c20b1b9690e37eed16e5e392342b801 (diff)
downloadslackbuilds-6cc4861046c239809f45acc10a070f150dac6618.tar.gz
misc/authprogs: Added (A script that helps install ssh keys)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'misc/authprogs/authprogs.SlackBuild')
-rw-r--r--misc/authprogs/authprogs.SlackBuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/misc/authprogs/authprogs.SlackBuild b/misc/authprogs/authprogs.SlackBuild
new file mode 100644
index 0000000000..b0587dcdee
--- /dev/null
+++ b/misc/authprogs/authprogs.SlackBuild
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+# Slackware build script for Authprogs
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+PRGNAM=authprogs
+VERSION=${VERSION:-0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+install -D -m0755 $CWD/authprogs $PKG/usr/bin/authprogs
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}